> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auction items

> Returns a paginated list of auction items for the given auction ID(s).



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/auctions/items
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/auctions/items:
    get:
      tags:
        - Auction
      summary: Get auction items
      description: Returns a paginated list of auction items for the given auction ID(s).
      parameters:
        - name: auctionId
          in: query
          description: >-
            Comma-separated list of auction UUIDs to fetch items for (at least
            one required)
          required: true
          schema:
            type: string
            title: Auction ID
            example: 123e4567-e89b-12d3-a456-426614174333
        - name: organizationId
          in: query
          description: Optional organization ID for scoping
          schema:
            type: string
            format: uuid
            title: Organization ID
            example: 123e4567-e89b-12d3-a456-426614174002
        - name: websiteId
          in: query
          description: Optional website ID for scoping
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 123e4567-e89b-12d3-a456-426614174003
        - name: limit
          in: query
          description: Number of items to return (1-100, default 10)
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 100
            title: Limit
            example: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        sortId:
                          type: number
                        quantity:
                          type: number
                        mintingContractAsset:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                          required:
                            - id
                          title: Minting Contract Asset
                          description: Schema representing a minting contract asset
                      required:
                        - id
                        - sortId
                        - quantity
                        - mintingContractAsset
                      title: Auction Item
                      description: Schema representing an auction item
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
                title: Get Auction Items Response
                description: Schema for the response when fetching auction items
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````